Subject: Re: linux-next: build failure after merge of the block tree

From: Jens Axboe <[email-masked]>
Date: Mon, 6 Jan 2020 21:04:01 -0700

On 1/5/20 6:30 PM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the block tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> fs/open.c:977:12: error: conflicting types for 'build_open_flags'
>   977 | inline int build_open_flags(const struct open_how *how,
>       |            ^~~~~~~~~~~~~~~~
> In file included from /home/sfr/next/next/fs/open.c:36:
> fs/internal.h:127:12: note: previous declaration of 'build_open_flags' was here
>   127 | extern int build_open_flags(int flags, umode_t mode, struct open_flags *op);
>       |            ^~~~~~~~~~~~~~~~
> 
> Caused by commits
> 
>   4e9e15c9426e ("fs: make build_open_flags() available internally")
>   3bba3e571bc8 ("io_uring: add support for IORING_OP_OPENAT")
> 
> interacting with commit
> 
>   0a51692d49ec ("open: introduce openat2(2) syscall")
> 
> from the vfs tree.
> 
> I have applied the following fix up patch for today:

Thanks Stephen - I'll pull in the VFS tree and rebase the 5.6 io_uring
bits on that. Then I'll send it out for review again, haven't heard from
Al on the non-block open change.

-- 
Jens Axboe